Package org.jboss.logmanager.filters

# Class InvertFilter

java.lang.Object
org.jboss.logmanager.filters.InvertFilter

All Implemented Interfaces:
  `Filter`

public final class InvertFilter extends Object implements Filter
An inverting filter.

## Constructor Summary

Constructors
Constructor
Description
`InvertFilter(Filter target)`
Construct a new instance.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isLoggable(LogRecord record)`
Determine whether a log record passes this filter.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InvertFilter

public InvertFilter(Filter target)
Construct a new instance.

Parameters:
  `target` - the target filter

## Method Details

### isLoggable

public boolean isLoggable(LogRecord record)
Determine whether a log record passes this filter.

Specified by:
  `isLoggable` in interface `Filter`
Parameters:
  `record` - the log record
Returns:
  `true` if the target filter returns `false`, `false` otherwise